package dao;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import factory.ConnectionFactory;
@WebServlet("/AddMem")
public class AddMem extends HttpServlet{
	private Connection con=null;
	private PreparedStatement ptmt=null;
	private ResultSet rs=null;
	private String memId;
	private String memDept;
	private String memFName;
	private String memLName;
	private String memDob;
	private String memEmail;
	private String memPassword;
	private String memAddr;
	private String memCity;
	private String memPin;
	private String memPhone;
	private String memState;
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request,response);
	}
	
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
			try		{
					String querystring="INSERT INTO memInfo VALUES(?,?,?,?,?,?,?,?,?,?,?,?)";
					con=ConnectionFactory.getInstance().getConnection();
					ptmt=con.prepareStatement(querystring);
				
								memId=request.getParameter("memId");
								memDept=request.getParameter("memDept");
								memFName=request.getParameter("memSrName")+request.getParameter("memFName");
								memLName=request.getParameter("memLName");
								memDob=request.getParameter("memDay")+"/"+request.getParameter("memMonth")+"/"+request.getParameter("memYear");
								memEmail=request.getParameter("memEmail");
								memPassword=request.getParameter("memPassword");
								memAddr=request.getParameter("memAddr");
								memCity=request.getParameter("memCity");
								memPin=request.getParameter("memPin");
								memPhone=request.getParameter("memPhone");
								memState=request.getParameter("memState");
					ptmt.setString(1,memId);
					ptmt.setString(2,memDept);
					ptmt.setString(3,memFName);
					ptmt.setString(4,memLName);
					ptmt.setString(5,memDob);
					ptmt.setString(6,memEmail);
					ptmt.setString(7,memPassword);
					ptmt.setString(8,memAddr);
					ptmt.setString(9,memCity);
					ptmt.setString(10,memPin);
					ptmt.setString(11,memPhone);
					ptmt.setString(12,memState);
					ptmt.executeUpdate();
								response.setContentType("text/html");
								PrintWriter out=response.getWriter();
					out.println("<html><head><title>Registration Complete</title></head><body>");
					out.println("<form method=\"post\" action=\"./RegSeccess\" target=\"_parent\">");
					out.println("<p align=center><b>Thanks for registration.</b></p><br>Please <a href=\"././index.jsp\" target=\"_parent\">click here </a> to go home.");
					out.println("<br></body></html>");
				      

				}
			catch(SQLException e)
				{
					e.printStackTrace();
				}
			finally
				{
					try{
							if(rs!=null)
								rs.close();
							if(ptmt!=null)
								ptmt.close();
							if(con!=null)
								con.close();
						}
					catch(SQLException e){
							e.printStackTrace();
						}
				}

	}
}
