package dao;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import factory.ConnectionFactory;
@WebServlet("/AddQuiz")
public class AddQuiz extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private Connection con=null;
	private PreparedStatement ptmt=null;
	private ResultSet rs=null;
	private String quiz=null;
	private String op1=null;
	private String op2=null;
	private String op3=null;
	private String op4=null;
	private String op5=null;
	private String ans=null;
	private int counter=1;
    public AddQuiz() {
        super();
    
    }

	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request,response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		try		{
			String querystring="INSERT INTO getQuiz VALUES(?,?,?,?,?,?,?)";
			con=ConnectionFactory.getInstance().getConnection();
			ptmt=con.prepareStatement(querystring);
						quiz=request.getParameter("quiz");
						op1=request.getParameter("op1");
						op2=request.getParameter("op2");
						op3=request.getParameter("op3");
						op4=request.getParameter("op4");
						op5=request.getParameter("op5");
						ans=request.getParameter("ans");
						
			ptmt.setString(1,quiz);
			ptmt.setString(2,op1);
			ptmt.setString(3,op2);
			ptmt.setString(4,op3);
			ptmt.setString(5,op4);
			ptmt.setString(6,op5);
			ptmt.setString(7,ans);
			
			ptmt.executeUpdate();
						response.setContentType("text/html");
						PrintWriter out=response.getWriter();
			out.println("<html><head><title>Question Created!</title></head><body>");
			out.println("<form method=\"post\" action=\"./MemAccess\" target=\"_parent\">");
			out.println("<p align=center><b>Question created. Press add button to create new question or press exit to close question file.</b></p>");
			out.println("<table border=0 align=right><tr><td><input type=button value=\"Add New\"></td><td><input type=button value=\"Exit\"></td></tr></table></body></html>");
			out.println("<br></body></html>");
		}
	catch(SQLException e)
		{
			e.printStackTrace();
		}
	finally
		{
			try{
					if(rs!=null)
						rs.close();
					if(ptmt!=null)
						ptmt.close();
					if(con!=null)
						con.close();
				}
			catch(SQLException e){
					e.printStackTrace();
				}
		}


	}

}
