package dao;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import factory.ConnectionFactory;
@WebServlet("/StudAccess")
public class StudAccess extends HttpServlet {
	
	private static final long serialVersionUID = 1L;
	public boolean studLogout=false;
	private String studUserName, studPassword;
	private String studFName=null;
	private String studLName=null;
	private String studDept=null;
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException {
			doPost(request, response);
		}
	protected void doPost(HttpServletRequest request, HttpServletResponse response) 
	throws ServletException, IOException {
		java.sql.Connection con=null;
		Statement ptmt=null;
		ResultSet rs = null;
				try
				{
					response.setContentType("text/html");
					PrintWriter out=response.getWriter();

					if(studLogout=true)
					{
					con=ConnectionFactory.getInstance().getConnection();
					studUserName=request.getParameter("studId");
					studPassword=request.getParameter("studPassword");
					System.out.println(studUserName);
					System.out.println(studPassword);
					String queryString="Select fname, lname, dept from studInfo where email='"+studUserName+"' and password='"+studPassword+"'";
					con=ConnectionFactory.getInstance().getConnection();
					ptmt=con.createStatement();
					
					rs=ptmt.executeQuery(queryString);
					if(rs.next()!=false){
							studFName=rs.getString(1);
							studLName=rs.getString(2);
							studDept=rs.getString(3);
					}
							
					if(studFName!=null){
						studLogout=true;
							
							out.println("<html><head><title>Welcome "+studFName+"</title></head><body bgcolor=\"#EDFEDF\">");
							out.println("<p align=right><a href=\"././studLogout.jsp\" target=\"_parent\">Logout</a><br><br>");
							out.println("<p align=center>Welcome "+studFName+" "+studLName+"</p>");
							
							out.println("<br><br><a href=\"././studStatus.jsp\" target=\"_parent\">Click here</a> to get the student's status."+
										"<br><br><a href=\"././selectQuizType.jsp\" target=\"_parent\">Click here</a> to crate a new student's exam."+
										"<br><br>You can update your information <a href=\"./updatestudInfo.jsp\" target=\"_parent\">here</a>."+
										""+
										"");
							
							out.println("</body></html>");
							System.out.println(studLogout);
					}
					else{
						RequestDispatcher rd = null;
						out.println("<b>Invalid Login Info.</b><br>");
						rd = request.getRequestDispatcher("/index.jsp");
						rd.include(request, response);

					}
						
					}		
							
					
				}
				catch(SQLException e)
				{
						e.printStackTrace();
				}
				finally
				{
					try
					{
						if(rs!=null)
							rs.close();
						if(ptmt!=null)
							ptmt.close();
						if(con!=null)
							con.close();
					}
				catch(SQLException e)
				{
					e.printStackTrace();
				}
		}
	}
	public void setstudLName(String studLName) {
		this.studLName = studLName;
	}
	public String getstudLName() {
		return studLName;
	}
}
