package factory;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
public class ConnectionFactory
{
  private String driverClassName="com.mysql.jdbc.Driver";
 private String connectionUrl="jdbc:mysql://localhost:3306/test";
 private String dbUser="root";
 private String dbPwd="root";
// 
 private static ConnectionFactory connectionFactory=null;
// private static String dataSourceName="jdbc/mysqlDS";
 
 private ConnectionFactory()
 {
	 try
	 {
		 Class.forName(driverClassName);
	 }
	 catch(ClassNotFoundException e)
	 {
		 e.printStackTrace();
	 }
 }
 
 public Connection getConnection() throws SQLException
 {
  Connection conn=null;
  conn=DriverManager.getConnection(connectionUrl,dbUser,dbPwd);
  return conn;
 }
 
// public  Connection getConnection() throws SQLException
//	{
//		Connection conn=null;
//		try{
//			Context ctx = new InitialContext();
//			if(ctx == null ) 
//				throw new Exception("Boom - No Context");
//
//			DataSource ds = 
//				(DataSource)ctx.lookup("java:comp/env/" +dataSourceName);
//
//			if (ds != null) {
//				conn = ds.getConnection();
//			}
//			if(conn == null)  {
//				throw new SQLException("No Connection Found");
//			}
//
//		}
//		catch(Exception e)
//		{
//			e.printStackTrace();
//		}
//		return conn;
//	}
// 
 public static ConnectionFactory getInstance()
 {
  if(connectionFactory==null)
  {
   connectionFactory=new ConnectionFactory();
  }
  return connectionFactory;
 }
}
